<?php
/**
 * @package    JBusinessDirectory
 *
 * @author CMSJunkie http://www.cmsjunkie.com
 * @copyright  Copyright (C) 2007 - 2021 CMSJunkie. All rights reserved.
 * @license   https://www.gnu.org/licenses/agpl-3.0.en.html
 */
defined('_JEXEC') or die('Restricted access');

JBusinessUtil::enqueueScript('libraries/cropper/cropper.js');
JBusinessUtil::enqueueScript('libraries/cropper/canvas-toBlob.js');
JBusinessUtil::enqueueStyle('libraries/cropper/cropper.css');
JBusinessUtil::enqueueScript('libraries/chosen/ajax-chosen.min.js');
JBusinessUtil::includeValidation();

JBusinessUtil::loadJQueryUI();

JText::script('LNG_SERVICE');
JText::script('LNG_ITEM');

require_once HELPERS_PATH.'/helper.php';

class JBusinessDirectoryViewManageCompanyPriceList extends JViewLegacy {
	public function __construct() {
		parent::__construct();
	}
	
	public function display($tpl = null) {
		$this->item	 = $this->get('Item');
		$this->state = $this->get('State');
		$this->appSettings = JBusinessUtil::getApplicationSettings();
		$this->actions2 = JBusinessDirectoryHelper::getActions();
        $this->languages = JBusinessUtil::getLanguages();

		$user = JBusinessUtil::getUser();
		$this->companyOptions = JBusinessUtil::getCompaniesOptions($this->item->companyId, $user->id);
		
		parent::display($tpl);
	}
}
